﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using MoxDataModel;
using Stimulsoft.Report;
using System.Data.Entity.Core.EntityClient;
using InsERT.Mox.Work;

namespace TestApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            using (var context = new dbo())
            {
                var uow = new UnitOfWork();
                context.UnitOfWork = uow;
                var customer = context.Customers.FirstOrDefault(c => c.CustomerID.Equals("VINET"));
                var data = new ReportData(customer);
                var report = new StiReport();
                report.RegBusinessObject("Data", data);
                report.DesignWithWpf();
            }
        }
    }
}
